org.hibernate.search.analyzer.definition.impl

## Class LuceneTokenFilterDefinitionContextImpl

- java.lang.Object
- - org.hibernate.search.analyzer.definition.impl.LuceneTokenFilterDefinitionContextImpl

- All Implemented Interfaces:
    LuceneAnalysisDefinitionRegistryBuilder, LuceneCompositeAnalysisDefinitionContext, LuceneTokenFilterDefinitionContext

      public class LuceneTokenFilterDefinitionContextImpl
      extends Object
      implements LuceneTokenFilterDefinitionContext

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneTokenFilterDefinitionContextImpl(LuceneCompositeAnalysisDefinitionContext parentContext, Class<? extends TokenFilterFactory> factoryClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneAnalyzerDefinitionContext` | `analyzer(String name)` Start a new analyzer definition.
    `TokenFilterDef` | `build()`
    `LuceneCharFilterDefinitionContext` | `charFilter(Class<? extends CharFilterFactory> factory)` Add a char filter that the analyzer will use.
    `LuceneNormalizerDefinitionContext` | `normalizer(String name)` Start a new normalizer definition.
    `LuceneTokenFilterDefinitionContext` | `param(String name, String value)` Set a token filter parameter.
    `LuceneTokenFilterDefinitionContext` | `tokenFilter(Class<? extends TokenFilterFactory> factory)` Add a token filter that the analyzer will use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneTokenFilterDefinitionContextImpl

          public LuceneTokenFilterDefinitionContextImpl(LuceneCompositeAnalysisDefinitionContext parentContext,
                                                        Class<? extends TokenFilterFactory> factoryClass)

  - ### Method Detail

    - #### param

          public LuceneTokenFilterDefinitionContext param(String name,
                                                          String value)

      Description copied from interface: `LuceneTokenFilterDefinitionContext`
      Set a token filter parameter.
      Specified by:
        `param` in interface `LuceneTokenFilterDefinitionContext`
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This context, allowing to chain calls.

    - #### analyzer

          public LuceneAnalyzerDefinitionContext analyzer(String name)

      Description copied from interface: `LuceneAnalysisDefinitionRegistryBuilder`
      Start a new analyzer definition.
      Specified by:
        `analyzer` in interface `LuceneAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this analyzer in Hibernate Search.
      Returns:
        A context allowing to further define the analyzer.

    - #### normalizer

          public LuceneNormalizerDefinitionContext normalizer(String name)

      Description copied from interface: `LuceneAnalysisDefinitionRegistryBuilder`
      Start a new normalizer definition.
      Specified by:
        `normalizer` in interface `LuceneAnalysisDefinitionRegistryBuilder`
      Parameters:
        `name` - The name used to reference this normalizer in Hibernate Search.
      Returns:
        A context allowing to further define the normalizer.

    - #### charFilter

          public LuceneCharFilterDefinitionContext charFilter(Class<? extends CharFilterFactory> factory)

      Description copied from interface: `LuceneCompositeAnalysisDefinitionContext`
      Add a char filter that the analyzer will use.
      Specified by:
        `charFilter` in interface `LuceneCompositeAnalysisDefinitionContext`
      Parameters:
        `factory` - The factory that will create the char filter.
      Returns:
        A context allowing to further define this analyzer or the char filter.

    - #### tokenFilter

          public LuceneTokenFilterDefinitionContext tokenFilter(Class<? extends TokenFilterFactory> factory)

      Description copied from interface: `LuceneCompositeAnalysisDefinitionContext`
      Add a token filter that the analyzer will use.
      Specified by:
        `tokenFilter` in interface `LuceneCompositeAnalysisDefinitionContext`
      Parameters:
        `factory` - The factory that will create the token filter.
      Returns:
        A context allowing to further define this analyzer or the token filter.

    - #### build

          public TokenFilterDef build()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved